Austin Group Defect Tracker

Aardvark Mark III


Viewing Issue Simple Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Type Date Submitted Last Update
0001227 [1003.1(2016)/Issue7+TC2] Shell and Utilities Editorial Enhancement Request 2019-01-25 02:16 2019-05-30 15:19
Reporter kre View Status public  
Assigned To
Priority normal Resolution Accepted As Marked  
Status Resolved  
Name Robert Elz
Organization
User Reference
Section 2.9.1
Page Number 2365-8
Line Number 75484-5, 75500-1, 75533-4, 75545, 75621-2
Interp Status ---
Final Accepted Text Note: 0004400
Summary 0001227: Sub-section numbering in 2.9.1 is inadequate
Description The way section 2.9.1 is divided into sub-sections
is poor, there is a 2.9.1.1 but no 2.9.1.2 and the
division between what is in the preamble part of
2.9.1 what is (and belongs in 2.9.1.1) and that
which follows what belongs in 2.9.1.1 but which
is included there now because there is nothing
else is arbitrary, and bizarre.

Note that no technical changes are proposed here,
this is purely headings, and a sub-section numbers
so deep they do not even affect the index.
Desired Action Add new sub-sub-sub-section headings as follows

Between lines 75484-5

     2.9.1.1 Order of evaluation

Between lines 75500-1

     2.9.1.2 Variable Assignments

Between lines 75533-4

     2.9.1.3 Redirections

Between lines 75621-2

     2.9.1.5 Standard open files

and renumber the existing sub-sub-sub-section
heading on line 75545 from 2.9.1.1 to 2.9.1.4

(Naturally pick better heading text if desired.)
Tags tc3-2008
Attached Files

- Relationships

-  Notes
(0004400)
geoffclare (manager)
2019-05-21 08:25
edited on: 2019-05-23 15:02

The subsection heading "2.9.1.3 Redirections" in the desired action is problematic because there would be two paragraphs below it, and the second has nothing to do with redirections.

In the May 20th teleconference we came close to a solution based on those two paragraphs both being mostly about the case where there is no command name, however we then got sidetracked by looking at the grammar and headed in a different direction. I think the previous direction was more promising, and have followed it below.

Proposed changes ...

On page 2365 line 75485 insert:
2.9.1.1 Order of Processing
before:
When a given simple command ...

On page 2366 line 75501 insert:
2.9.1.2 Variable Assignments
before:
Variable assignments shall be performed ...

On page 2366 line 75534 change:
If there is no command name, any redirections shall be performed ...
to:
2.9.1.3 Commands with no Command Name

If a simple command has no command name after word expansion (see [xref to 2.9.1.1]), any redirections shall be performed ...

On page 2366 line 75541 change:
If there is a command name, execution shall continue as described in Section 2.9.1.1. If there is no command name, but the command contained a command substitution, the command shall complete with the exit status of the last command substitution performed. Otherwise, the command shall complete with a zero exit status.
to:
Additionally, if there is no command name but the command contains a command substitution, the command shall complete with the exit status of the last command substitution performed. Otherwise, the command shall complete with a zero exit status.

On page 2367 line 75545 change:
2.9.1.1 Command Search and Execution

If a simple command results in a command name and an optional list of arguments, the following actions shall be performed:
to:
2.9.1.4 Command Search and Execution

If a simple command has a command name and an optional list of arguments after word expansion (see [xref to 2.9.1.1]), the following actions shall be performed:

On page 2368 line 75622 insert:
2.9.1.5 Standard File Descriptors
before:
If the utility would be executed ...


(0004401)
kre (reporter)
2019-05-23 13:41

Looks fine to me - while getting the right labels on the
section numbers is important, what concerned me most was
getting the section numbering rationalised.

- Issue History
Date Modified Username Field Change
2019-01-25 02:16 kre New Issue
2019-01-25 02:16 kre Name => Robert Elz
2019-01-25 02:16 kre Section => 2.9.1
2019-01-25 02:16 kre Page Number => 2365-8
2019-01-25 02:16 kre Line Number => 75484-5, 75500-1, 75533-4, 75545, 75621-2
2019-05-21 08:25 geoffclare Note Added: 0004400
2019-05-23 13:41 kre Note Added: 0004401
2019-05-23 15:02 geoffclare Note Edited: 0004400
2019-05-30 15:19 geoffclare Interp Status => ---
2019-05-30 15:19 geoffclare Final Accepted Text => Note: 0004400
2019-05-30 15:19 geoffclare Status New => Resolved
2019-05-30 15:19 geoffclare Resolution Open => Accepted As Marked
2019-05-30 15:19 geoffclare Tag Attached: tc3-2008


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker